Subject: Re: [PATCH 2/2] net: mdio: reset PHY before attempting to access registers in fwnode_mdiobus_register_phy

From: Buday Csaba <[email-masked]>
Date: Wed, 15 Oct 2025 11:07:03 +0200

On Mon, Oct 13, 2025 at 04:31:10PM +0200, Maxime Chevallier wrote:
> Hi,
> 
> On 13/10/2025 15:55, Buday Csaba wrote:
> > When the ID of an ethernet PHY is not provided by the 'compatible'
> > string in the device tree, its actual ID is read via the MDIO bus.
> > For some PHYs this could be unsafe, since a hard reset may be
> > necessary to safely access the MDIO registers.
> > This patch makes it possible to hard-reset an ethernet PHY before
> > attempting to read the ID, via a new device tree property, called:
> > `reset-phy-before-probe`.
> > 
> > There were previous attempts to implement such functionality, I
> > tried to collect a few of these (see links).
> > 
> > Link: https://lore.kernel.org/lkml/[email-masked]/
> > Link: https://lore.kernel.org/all/[email-masked]/
> > Link: https://lore.kernel.org/netdev/[email-masked]/
> > Signed-off-by: Buday Csaba <[email-masked]>
> 
> This should probably be accompanied by a DT binding update,
> with some justification that this is indeed HW description
> and not OS confguration.
> 

I have the corresponding patch ready, I just wanted this to be accepted
first. My description was to be:
  "When the PHY ID is not provided with the 'compatible' string,
   reset the PHY before attempting to read its ID over MDIO."

> At least the use of the term "probe" in the property makes this
> sound like OS configuration, maybe something like :
>  "phy-id-needs-reset" ?
> 
> Maxime
> 
> 

Okay, I will change that accordingly. Maybe "phy-id-read-needs-reset"?
A bit longer, but more self-explaining.

Best regards,
Csaba